Subject: [uunet!icx.com!bob: Re: BIRD28 Pkg Extension Comments]

From: Stephen Peters <[email-masked]>
Date: Fri, 02 Jun 1995 09:16:56 -0700

Hello Jon:

    For reference, let me repeat your drawing below:
     ____________________
 B1  |___________________|     
     ______________________________
 B2  |_____________________________|
                __________    x
 B3            | ________|
               ||       ||
               ||       ||
             y ||       || y
               ||       ||     z
               ||       ||--------
               ||       |_________

     |    1    |    2    |    3    |

Assume for a moment that all we want to describe is just what you have shown (no
bondwire or pins).  These three pins can be specified as follows in the 
[Pin Number] statement

B1  Len = A Matrix / Len = B Matrix / Len = 0
B2  Len = A Matrix / Len = B Matrix / Len = C C=x L=y
B3  Len = A Matrix / Len = B Matrix / Len = Z C=x L=y

     The first (reading left to right) matrix keyword in the pin specifications
says that there is a matrix that describes the coupling between pins B1, B2 and
B3 for the vertical slice labled '1' in the above diagram.  This vertical slice
is 'section 1' and the actual data is put between the '[Model Data] section 1'
and '[End Model Data] section 1' keywords.  Likewise, the second Matrix keyword
says that there is another matrix for vertical slice '2'  (section 2) and the 
parser will know to look for the [Model Data] section 2 / [End Model Data] section 2
keywords.  Each possible matrix has a name; it is the section (or vertical slice)
number.
     It occurs to me as I write this that we could explicity name each matrix
-- i.e. the [Pin number] statement would look as follows:

B1  Len = A Matrix1 / Len = B Matrix2 / Len = 0
B2  Len = A Matrix1 / Len = B Matrix2 / Len = C C=x L=y
B3  Len = A Matrix1 / Len = B Matrix2 / Len = Z C=x L=y

  I don't know if this makes it any easier to understand or deal with.  Anyway, I
hope I got the jist of your question answered.

          Best Regards,
          Stephen Peters

bob,

in the following example, how do the keywords "Matrix" map into the
actual specication of the matrices. I guess that I think wee need matrix
names to avoid an absolute numbering confusion. Anyway, this is the
essence of my problem.

jon

******************* attached message ********************

Return-Path: <uunet!icx.com!bob>
Date: Thu, 1 Jun 95 16:08 PDT
From: uunet!icx.com!bob ( Bob Ross)
To: uunet!vhdl.org!ibis, uunet!uunet!qdt.com!jonp
Subject: Re: BIRD28 Pkg Extension Comments

Jon:

I do not have a good answer to the problem you posed, especially when you
extend the concept to many pins.  However, I would approach this with
several uncoupled sections at the beginning and end, and two matrix sections
in the middle.  The format would be of the form

B1 Len=0         / Len=1 Matrix / Len=1 Matrix / Len=0         / Len=0         /
B2 Len=0         / Len=1 Matrix / Len=1 Matrix / Len=1 L=x C=x / Len=0         /
B3 Len=1 L=y C=y / Len=1 Matrix / Len=1 Matrix / Len=1 L=y C=y / Len=1 L=z C=z /

Both Matrix sections would likely be Sparse_matrix types.  The first one would
describe the B1-B2 section "1" and would have no B3 row/column entries (forcing
zero values).  The second one would describe the B1-B2-B3 section "2".

Allowance is provided for one initial transmission line section and two 
final transmission line sections for this example.  The pins that do
not need these sections will have some Len=0 / zero-length sections.

The alternative to a description of this detail would be to adopt a different,
coupled lumped approach describe B1-B2-B3("2") as one coupled L-C-R value
matrix (length would not be needed since the "total" values used would
already reflect the length) to capture all of the coupling in.  This may
not be as accurate an approach, but may have some practical value.

Bob Ross,
Interconnectix, Inc.

> In addition, I would appreciate a clarifying example that indicated how
> one would represent the following structure:

> This may be the same as Bobs, though it seems that a segment that starts
> after the other segments is a problem. I think the gist of it is I don't
> see how to specify more that one matrix.

>     ____________________
> B1  |___________________|     
>     ______________________________
> B2  |_____________________________|
>                __________    x
> B3            | ________|
>               ||       ||
>               ||       ||
>             y ||       || y
>               ||       ||     z
>               ||       ||--------
>               ||       |_________

>     |    1    |    2    |    3    |

> jon